local _, ns = ...
local B, C, L, DB = unpack(ns)
local P = B:GetModule("Plus")
local G = B:GetModule("GUI")

local strmatch, format, tonumber, select, tinsert = string.match, string.format, tonumber, select, tinsert

local Media = "Interface\\Addons\\NDui_Plus\\Media\\"

do
	--tinsert(G.TextureList, {texture = Media.."normTex", name = "FX_001"})
end

function P.DU_CreateButton(name, frame, label, width, height, point, relativeTo, relativePoint, xOffset, yOffset)
	local name = CreateFrame("Button", nil, frame, "UIPanelButtonTemplate")
	name:SetSize(width, height)
	name:SetPoint(point, relativeTo, relativePoint, xOffset, yOffset)
	name:SetText(label)
	name:RegisterForClicks("AnyUp")
	name:SetHitRectInsets(0, 0, 0, 0)

	B.Reskin(name)

	return name
end

function P:DressUp()
	local ResetButton = SideDressUpFrame.ResetButton
	local ResetStrata = ResetButton:GetFrameStrata()
	local ResetLevel = ResetButton:GetFrameLevel()

	--普通试衣间
	local DOneNake = self.DU_CreateButton("DressUpOneNake", DressUpFrame, "武器", 75, 22, "RIGHT", DressUpFrameResetButton, "LEFT", -2, 0)
	DOneNake:SetScript("OnClick", function()
		local ModelScene = DressUpFrame.ModelScene:GetPlayerActor()
		--ModelScene:UndressSlot(4)
		for i = 16, 19 do
			ModelScene:UndressSlot(i)
		end
	end)

	local DAllNake = self.DU_CreateButton("DressUpAllNake", DressUpFrame, "全部", 75, 22, "RIGHT", DOneNake, "LEFT", -2, 0)
	DAllNake:SetScript("OnClick", function()
		local ModelScene = DressUpFrame.ModelScene:GetPlayerActor()
		for i = 1, 19 do
			ModelScene:UndressSlot(i)
		end
	end)

	-- 侧边试衣间
	local SOneNake = self.DU_CreateButton("SideDressUpOneNake", SideDressUpFrame, "武器", 80, 22, "BOTTOM", ResetButton, "TOPLEFT", -1, 2)
	SOneNake:SetFrameStrata(ResetStrata)
	SOneNake:SetFrameLevel(ResetLevel)
	SOneNake:SetScript("OnClick", function()
		local SideModelScene = SideDressUpFrame.ModelScene:GetPlayerActor()
		SideModelScene:UndressSlot(4)
		for i = 16, 19 do
			SideModelScene:UndressSlot(i)
		end
	end)

	local SAllNake = self.DU_CreateButton("SideDressUpOneNake", SideDressUpFrame, "全部", 80, 22, "BOTTOM", ResetButton, "TOPRIGHT", 1, 2)
	SAllNake:SetFrameStrata(ResetStrata)
	SAllNake:SetFrameLevel(ResetLevel)
	SAllNake:SetScript("OnClick", function()
		local SideModelScene = SideDressUpFrame.ModelScene:GetPlayerActor()
		for i = 1, 19 do
			SideModelScene:UndressSlot(i)
		end
	end)
end

-- Credit: ElvUI_WindTools
function P:PauseToSlash()
	hooksecurefunc("ChatEdit_OnTextChanged", function(self, userInput)
		local text = self:GetText()
		if userInput then
			if text == "、" then
				self:SetText("/")
			end
		end
	end)
end

function P:Misc()
	self:DressUp()
	self:PauseToSlash()
end