local _, ns = ...
local B, C, L, DB = unpack(ns)
local P = B:GetModule("Plus")

local _G = getfenv(0)

function P:TinyInspect()
	if not IsAddOnLoaded("TinyInspect") then return end
	if not NDuiPlusDB["TinyInspect"] then return end

	hooksecurefunc("ShowInspectItemListFrame", function(_, parent)
		local frame = parent.inspectFrame
		if not frame then return end
		frame:SetPoint("TOPLEFT", parent, "TOPRIGHT", 3, 0)

		if not frame.styled then
		    B.StripTextures(frame)
			frame:SetBackdrop(nil)
			frame.SetBackdrop = B.Dummy
        	frame:SetBackdropColor(0, 0, 0, 0)
			frame.SetBackdropColor = B.Dummy
        	frame:SetBackdropBorderColor(0, 0, 0, 0)
			frame.SetBackdropBorderColor = B.Dummy
			B.SetBD(frame)
			frame.styled = true
		end

		if frame.specicon then
			frame.specicon:SetMask("Interface\\CharacterFrame\\TempPortraitAlphaMask") --  fix
		end
	end)
end
